import React from "react";
import Svg, { Path, G, Defs, Rect, ClipPath, Animate } from "react-native-svg";

export const EmptyListImage = ({ size = 24 }) => {
	return (
		<Svg width={size} height={size * (7 / 10)} viewBox="0 0 200 140" fill="none" xmlns="http://www.w3.org/2000/svg">
			<G opacity="0.8" clip-path="url(#clip0)">
				<Path
					d="M38.5082 29.6465C44.7848 29.6465 49.8729 24.5597 49.8729 18.2849C49.8729 12.0101 44.7848 6.92334 38.5082 6.92334C32.2316 6.92334 27.1434 12.0101 27.1434 18.2849C27.1434 24.5597 32.2316 29.6465 38.5082 29.6465Z"
					fill="black"
				/>
				<Path
					d="M92.8019 60.9125C92.8019 74.1133 88.8842 82.8481 82.711 88.3004C76.5149 93.7731 67.8869 96.0812 58.1955 96.0812C48.5042 96.0812 39.8761 93.7731 33.68 88.3004C27.5068 82.8481 23.5891 74.1133 23.5891 60.9125C23.5891 54.4187 25.7496 47.4151 29.0544 40.5173C32.3549 33.6287 36.7654 26.9098 41.1925 21.0029C45.6175 15.0988 50.0449 10.0246 53.3668 6.42597C55.0272 4.62723 56.4101 3.19858 57.3767 2.2208C57.6971 1.89668 57.9717 1.62214 58.1955 1.40013C58.4193 1.62214 58.6939 1.89668 59.0143 2.2208C59.9809 3.19858 61.3638 4.62723 63.0242 6.42597C66.3461 10.0246 70.7735 15.0988 75.1985 21.0029C79.6256 26.9098 84.0362 33.6287 87.3366 40.5173C90.6414 47.4151 92.8019 54.4187 92.8019 60.9125Z"
					fill="#7a7a7a"
					stroke="black"
					stroke-width="2"
				/>
				<Path
					d="M56.8985 92.9804L57.2633 70.5443L72.4395 42.7877L57.3204 67.0247L57.4843 56.9365L67.9438 36.855L57.5277 54.2669L57.8224 36.1229L69.0228 20.1354L57.869 33.2697L58.0531 0L56.8953 44.0431L56.9905 42.2262L45.6032 24.8009L56.808 45.714L55.747 65.9777L55.7153 65.44L42.5876 47.1024L55.6756 67.34L55.5429 69.8742L55.5191 69.9123L55.53 70.1204L52.8381 121.531H56.4347L56.8662 94.9765L69.9218 74.7884L56.8985 92.9804Z"
					fill="black"
				/>
				<Path
					d="M198.746 71.8925C198.746 82.6611 195.551 89.7552 190.547 94.1748C185.52 98.6149 178.507 100.498 170.6 100.498C162.693 100.498 155.68 98.6149 150.653 94.1748C145.649 89.7552 142.455 82.6611 142.455 71.8925C142.455 66.6149 144.211 60.9101 146.91 55.2765C149.605 49.6521 153.208 44.1628 156.828 39.3334C160.445 34.5069 164.065 30.3582 166.781 27.4158C168.138 25.9451 169.269 24.7772 170.059 23.9781C170.263 23.772 170.444 23.5905 170.6 23.4347C170.757 23.5905 170.938 23.772 171.141 23.9781C171.931 24.7772 173.062 25.9451 174.419 27.4158C177.136 30.3582 180.755 34.5069 184.373 39.3334C187.992 44.1628 191.595 49.6521 194.29 55.2765C196.989 60.9101 198.746 66.6149 198.746 71.8925Z"
					fill="#2e2e2e"
					stroke="black"
					stroke-width="2"
				/>
				<Path
					d="M169.538 98.1411L169.837 79.7762L182.259 57.056L169.884 76.8951L170.018 68.6376L178.579 52.1997L170.053 66.4522L170.295 51.6005L179.463 38.514L170.333 49.2652L170.483 22.0322L169.536 58.0835L169.614 56.5964L160.293 42.3329L169.464 59.4514L168.596 76.0382L168.57 75.5979L157.824 60.5877L168.537 77.1532L168.429 79.2276L168.409 79.2589L168.418 79.4291L166.215 121.511H169.159L169.512 99.775L180.199 83.2501L169.538 98.1411Z"
					fill="black"
				/>
				<Path
					d="M99.2386 125.778C153.628 125.778 197.72 123.55 197.72 120.801C197.72 118.053 153.628 115.825 99.2386 115.825C44.8489 115.825 0.757324 118.053 0.757324 120.801C0.757324 123.55 44.8489 125.778 99.2386 125.778Z"
					fill="#767676"
				/>
				<Path
					d="M159.233 129.877C168.548 129.877 176.1 129.495 176.1 129.024C176.1 128.554 168.548 128.172 159.233 128.172C149.917 128.172 142.365 128.554 142.365 129.024C142.365 129.495 149.917 129.877 159.233 129.877Z"
					fill="#767676"
				/>
				<Path
					d="M98.1957 138.099C107.511 138.099 115.063 137.717 115.063 137.246C115.063 136.776 107.511 136.394 98.1957 136.394C88.88 136.394 81.3281 136.776 81.3281 137.246C81.3281 137.717 88.88 138.099 98.1957 138.099Z"
					fill="#767676"
				/>
				<Path
					d="M51.8889 132.3C73.1719 132.3 90.4251 131.428 90.4251 130.352C90.4251 129.277 73.1719 128.405 51.8889 128.405C30.606 128.405 13.3528 129.277 13.3528 130.352C13.3528 131.428 30.606 132.3 51.8889 132.3Z"
					fill="#767676"
				/>
				<Path
					d="M17.9966 114.551C25.7443 114.551 32.025 108.272 32.025 100.527C32.025 92.7814 25.7443 86.5024 17.9966 86.5024C10.249 86.5024 3.96826 92.7814 3.96826 100.527C3.96826 108.272 10.249 114.551 17.9966 114.551Z"
					fill="black"
				/>
				<Path
					d="M15.7363 111.507L11.4749 111.457L11.3849 119.09L15.6464 119.14L15.7363 111.507Z"
					fill="black"
				/>
				<Path
					d="M24.2595 111.608L19.998 111.558L19.9081 119.191L24.1696 119.241L24.2595 111.608Z"
					fill="black"
				/>
				<Path
					d="M18.4865 119.263C18.4951 118.527 16.9122 117.912 14.9509 117.889C12.9896 117.866 11.3926 118.444 11.384 119.179C11.3753 119.914 12.9582 120.529 14.9195 120.552C16.8808 120.575 18.4778 119.998 18.4865 119.263Z"
					fill="black"
				/>
				<Path
					d="M27.0114 119.185C27.02 118.45 25.4371 117.835 23.4758 117.812C21.5145 117.789 19.9175 118.366 19.9089 119.102C19.9002 119.837 21.4831 120.452 23.4444 120.475C25.4057 120.498 27.0027 119.921 27.0114 119.185Z"
					fill="black"
				/>
				<Path
					d="M18.3937 101.774C21.0417 101.774 23.1883 99.6279 23.1883 96.9807C23.1883 94.3335 21.0417 92.1875 18.3937 92.1875C15.7458 92.1875 13.5992 94.3335 13.5992 96.9807C13.5992 99.6279 15.7458 101.774 18.3937 101.774Z"
					fill="white"
				/>
				<Path
					d="M18.3941 98.5783C19.2767 98.5783 19.9922 97.8629 19.9922 96.9805C19.9922 96.0981 19.2767 95.3828 18.3941 95.3828C17.5114 95.3828 16.7959 96.0981 16.7959 96.9805C16.7959 97.8629 17.5114 98.5783 18.3941 98.5783Z"
					fill="#767676"
				/>
				<Path
					d="M4.54378 87.3252C3.4709 82.2408 7.15192 77.1593 12.7656 75.9754C18.3792 74.7915 23.7997 77.9536 24.8726 83.038C25.9454 88.1225 22.2128 89.949 16.5992 91.1329C10.9855 92.3168 5.61666 92.4097 4.54378 87.3252Z"
					fill="#C2C2C2"
				/>
				<Path
					d="M39.3961 108.351C39.3961 118.128 33.5823 121.542 26.4101 121.542C26.2439 121.542 26.078 121.54 25.9124 121.536C25.5801 121.529 25.251 121.513 24.9258 121.491C18.453 121.033 13.4241 117.444 13.4241 108.351C13.4241 98.9404 25.4527 87.0662 26.3563 86.1874L26.3579 86.1859C26.3927 86.1519 26.4101 86.1353 26.4101 86.1353C26.4101 86.1353 39.3961 98.5734 39.3961 108.351Z"
					fill="#C2C2C2"
				/>
				<Path
					d="M25.9367 120.046L30.6863 113.411L25.9249 120.775L25.9122 121.536C25.5799 121.529 25.2508 121.513 24.9256 121.491L25.4375 111.709L25.4335 111.633L25.4422 111.619L25.4905 110.695L20.7172 103.314L25.5055 110.002L25.5166 110.198L25.9035 102.808L21.8169 95.1801L25.9533 101.51L26.3561 86.1874L26.3576 86.1353V86.1859L26.2904 98.2689L30.3588 93.4787L26.2738 99.3098L26.1662 105.927L29.9647 99.5764L26.1504 106.901L26.0902 110.58L31.6049 101.74L26.0697 111.863L25.9367 120.046Z"
					fill="#767676"
				/>
				<Path
					d="M127.276 114.399C135.024 114.399 141.305 108.12 141.305 100.375C141.305 92.6295 135.024 86.3506 127.276 86.3506C119.529 86.3506 113.248 92.6295 113.248 100.375C113.248 108.12 119.529 114.399 127.276 114.399Z"
					fill="black"
				/>
				<Path d="M128.474 111.522L124.4 112.773L126.643 120.07L130.717 118.819L128.474 111.522Z" fill="black" />
				<Path
					d="M136.621 109.019L132.547 110.271L134.79 117.568L138.864 116.316L136.621 109.019Z"
					fill="black"
				/>
				<Path
					d="M130.455 120.385C132.33 119.809 133.675 118.772 133.459 118.069C133.243 117.366 131.548 117.263 129.673 117.839C127.798 118.415 126.453 119.452 126.669 120.155C126.885 120.858 128.58 120.961 130.455 120.385Z"
					fill="black"
				/>
				<Path
					d="M138.55 117.712C140.425 117.136 141.77 116.099 141.554 115.396C141.338 114.693 139.643 114.59 137.768 115.166C135.893 115.743 134.548 116.779 134.764 117.482C134.98 118.185 136.676 118.288 138.55 117.712Z"
					fill="black"
				/>
				<Path
					d="M126.573 101.67C129.221 101.67 131.367 99.5243 131.367 96.8771C131.367 94.23 129.221 92.084 126.573 92.084C123.925 92.084 121.778 94.23 121.778 96.8771C121.778 99.5243 123.925 101.67 126.573 101.67Z"
					fill="white"
				/>
				<Path
					d="M126.573 98.4747C127.455 98.4747 128.171 97.7594 128.171 96.877C128.171 95.9946 127.455 95.2793 126.573 95.2793C125.69 95.2793 124.974 95.9946 124.974 96.877C124.974 97.7594 125.69 98.4747 126.573 98.4747Z"
					fill="#767676"
				/>
				<Path
					d="M110.436 91.9047C107.863 87.3897 109.819 81.4279 114.804 78.5887C119.789 75.7496 125.916 77.1081 128.489 81.6231C131.062 86.1381 128.064 89.0159 123.079 91.855C118.094 94.6942 113.009 96.4197 110.436 91.9047Z"
					fill="#C2C2C2"
				/>
				<Path
					d="M102.257 106.56C102.257 115.535 96.9206 118.669 90.3368 118.669C90.1843 118.669 90.032 118.668 89.88 118.664C89.5749 118.658 89.2728 118.643 88.9743 118.623C83.0325 118.202 78.4163 114.907 78.4163 106.56C78.4163 97.9221 89.458 87.0221 90.2874 86.2154L90.2889 86.214C90.3208 86.1827 90.3368 86.1675 90.3368 86.1675C90.3368 86.1675 102.257 97.5852 102.257 106.56Z"
					fill="#C2C2C2"
				/>
				<Path
					d="M89.9024 117.296L94.2623 111.206L89.8915 117.965L89.8799 118.664C89.5748 118.658 89.2727 118.643 88.9742 118.623L89.4441 109.643L89.4405 109.574L89.4485 109.56L89.4928 108.712L85.1111 101.937L89.5066 108.076L89.5167 108.256L89.8719 101.472L86.1206 94.4703L89.9176 100.281L90.2873 86.2154L90.2888 86.1675V86.214L90.227 97.3056L93.9616 92.9085L90.2118 98.2611L90.113 104.336L93.5999 98.5058L90.0985 105.229L90.0433 108.606L95.1055 100.492L90.0244 109.785L89.9024 117.296Z"
					fill="#767676"
				/>
				<Path
					d="M149.137 110.303C149.137 120.081 143.323 123.495 136.151 123.495C135.985 123.495 135.819 123.493 135.653 123.489C135.321 123.482 134.992 123.466 134.666 123.444C128.194 122.986 123.165 119.396 123.165 110.303C123.165 100.893 135.193 89.0189 136.097 88.1401L136.099 88.1385C136.133 88.1045 136.151 88.0879 136.151 88.0879C136.151 88.0879 149.137 100.526 149.137 110.303Z"
					fill="#C2C2C2"
				/>
				<Path
					d="M135.678 121.999L140.428 115.364L135.666 122.727L135.653 123.489C135.321 123.482 134.992 123.466 134.667 123.444L135.179 113.662L135.175 113.586L135.183 113.572L135.232 112.648L130.458 105.266L135.247 111.955L135.258 112.151L135.645 104.76L131.558 97.1327L135.695 103.463L136.097 88.1401L136.099 88.0879V88.1385L136.032 100.222L140.1 95.4314L136.015 101.262L135.907 107.88L139.706 101.529L135.892 108.854L135.831 112.532L141.346 103.693L135.811 113.816L135.678 121.999Z"
					fill="#767676"
				/>
				<Path
					d="M128.167 108.77C128.688 107.672 126.274 105.436 122.773 103.776C119.273 102.117 116.013 101.662 115.492 102.761C114.971 103.859 117.386 106.095 120.886 107.754C124.386 109.414 127.646 109.869 128.167 108.77Z"
					fill="black"
				/>
				<Path
					d="M20.1976 107.487C20.6501 106.358 18.1019 104.276 14.5062 102.835C10.9104 101.394 7.62873 101.141 7.17628 102.269C6.72384 103.398 9.27198 105.481 12.8677 106.921C16.4635 108.362 19.7452 108.615 20.1976 107.487Z"
					fill="black"
				/>
			</G>
			<Defs>
				<ClipPath id="clip0">
					<Rect width="198.988" height="138.099" fill="white" transform="translate(0.757324)" />
				</ClipPath>
			</Defs>
		</Svg>
	);
};

export const WhatsappIcon = ({ size = 24 }) => {
	return (
		<Svg width={size} height={size} viewBox="0 0 35 35" fill="none" xmlns="http://www.w3.org/2000/svg">
			<Path
				d="M29.7522 5.08817C28.1476 3.46871 26.2367 2.1848 24.131 1.31125C22.0252 0.437691 19.7666 -0.00803288 17.4869 4.68754e-05C7.93406 4.68754e-05 0.14875 7.78317 0.14 17.3382C0.14 20.3985 0.940625 23.3757 2.45219 26.0116L0 35L9.19625 32.5894C11.7403 33.9739 14.5905 34.6996 17.4869 34.7004H17.4956C27.0506 34.7004 34.8337 26.9172 34.8425 17.3535C34.8447 15.0742 34.3958 12.817 33.5218 10.712C32.6478 8.60692 31.3659 6.69562 29.75 5.08817H29.7522ZM17.4869 31.7647C14.9034 31.7656 12.3675 31.0704 10.1456 29.7522L9.62062 29.4372L4.165 30.8679L5.62187 25.5457L5.28062 24.9966C3.83645 22.7004 3.07266 20.042 3.07781 17.3294C3.07781 9.39755 9.54625 2.92692 17.4956 2.92692C19.3894 2.92352 21.2652 3.29502 23.0147 4.02C24.7643 4.74497 26.353 5.80908 27.6894 7.15099C29.0304 8.48765 30.0935 10.0766 30.8173 11.8262C31.5412 13.5758 31.9115 15.4513 31.9069 17.3447C31.8981 25.305 25.4297 31.7647 17.4869 31.7647ZM25.3947 20.9716C24.9637 20.755 22.8353 19.7072 22.435 19.5585C22.0369 19.4163 21.7459 19.3419 21.4616 19.775C21.1706 20.206 20.3394 21.1882 20.09 21.4704C19.8406 21.7613 19.5825 21.7941 19.1494 21.5797C18.7184 21.361 17.3206 20.906 15.6669 19.4251C14.3762 18.2766 13.5122 16.8547 13.2541 16.4238C13.0047 15.9907 13.23 15.7588 13.4466 15.5422C13.6369 15.3497 13.8775 15.0347 14.0941 14.7854C14.3128 14.536 14.385 14.3522 14.5272 14.0635C14.6694 13.7704 14.6016 13.521 14.4944 13.3044C14.385 13.0879 13.5209 10.9507 13.1556 10.0888C12.8056 9.23786 12.4491 9.35598 12.1822 9.34505C11.9328 9.32973 11.6419 9.32973 11.3509 9.32973C11.1312 9.3352 10.915 9.38601 10.7159 9.47899C10.5168 9.57197 10.339 9.70511 10.1937 9.87005C9.79562 10.3032 8.68219 11.351 8.68219 13.4882C8.68219 15.6254 10.2353 17.6794 10.4541 17.9704C10.6684 18.2613 13.5034 22.6341 17.8544 24.5154C18.8825 24.9638 19.6919 25.2285 20.3241 25.4297C21.3631 25.7622 22.3016 25.7119 23.0497 25.6047C23.8809 25.4779 25.6112 24.5547 25.9766 23.5419C26.3353 22.5269 26.3353 21.6607 26.2259 21.4791C26.1187 21.2954 25.8278 21.1882 25.3947 20.9716Z"
				fill="#0DC043"
			/>
		</Svg>
	);
};

export const FacebookIcon = ({ size = 24, color = "#4267b2" }) => {
	return (
		<Svg height={size} width={size} viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg">
			<Path
				fill={color}
				d="m492 352c11.046875 0 20-8.953125 20-20v-252c0-44.113281-35.886719-80-80-80h-352c-44.113281 0-80 35.886719-80 80v352c0 44.113281 35.886719 80 80 80h352c44.113281 0 80-35.886719 80-80 0-11.046875-8.953125-20-20-20s-20 8.953125-20 20c0 22.054688-17.945312 40-40 40h-98v-146h46.289062c10.121094 0 18.648438-7.5625 19.859376-17.609375l2.648437-22c1.429687-11.90625-7.863281-22.390625-19.859375-22.390625h-48.9375v-67c0-16.570312 13.429688-30 30-30h25c11.046875 0 20-8.953125 20-20v-20.230469c0-10.246093-7.738281-18.855469-17.933594-19.894531-10.140625-1.03125-20.871094-1.875-27.066406-1.875-23.324219 0-46.703125 9.839844-64.140625 26.992188-17.964844 17.671874-27.859375 40.820312-27.859375 65.183593v66.824219h-45c-11.046875 0-20 8.953125-20 20v22c0 11.046875 8.953125 20 20 20h45v146h-192c-22.054688 0-40-17.945312-40-40v-352c0-22.054688 17.945312-40 40-40h352c22.054688 0 40 17.945312 40 40v252c0 11.046875 8.953125 20 20 20zm0 0"
			/>
		</Svg>
	);
};

export const TwitterIcon = ({ size = 24, color = "#1da1f2" }) => {
	return (
		<Svg height={size} width={size} viewBox="0 -48 512.0022 512" xmlns="http://www.w3.org/2000/svg">
			<Path
				fill={color}
				d="m451.253906 66.984375-.253906-.984375c21.691406-13.003906 39.207031-34.441406 47-59-20.320312 12.089844-44.09375 21.257812-68 26-19.171875-20.425781-44.75-33-75-33-57.972656 0-106 46.9375-106 105 0 8.898438.734375 17.515625 1.714844 25.0625-51.046875-3.964844-99.015625-20.527344-142.882813-49.386719-38.304687-25.195312-58.953125-50.84375-59.128906-51.0625-5.625-7.128906-15.347656-9.578125-23.671875-5.957031-8.328125 3.621094-13.171875 12.394531-11.800781 21.367188.476562 3.097656 10.242187 64.324218 47.144531 117.671874-8.601562-1.339843-13.734375-3.730468-14.71875-4.21875-7.140625-4.230468-15.894531-3.453124-22.390625 1.726563-6.535156 5.210937-8.871094 14.089844-6.265625 22.03125.84375 2.578125 18.394531 53.753906 82.476562 80.875-13.730468 3.960937-25.910156 3.894531-26.066406 3.894531-.136718 0-.273437-.003906-.410156-.003906-8.464844 0-16.03125 5.339844-18.855469 13.347656-2.875 8.136719-.199219 17.199219 6.628907 22.476563 1.542968 1.191406 30.230468 22.988281 76.851562 34.003906-16.308594 8.976563-35.558594 14.378906-57.605469 16.140625-30.511719 2.4375-55.050781-3.34375-55.25-3.394531-10.144531-2.484375-20.492187 3.25-23.761719 13.167969-3.269531 9.917968 1.648438 20.683593 11.285157 24.710937 2.886719 1.203125 71.484375 29.542969 139.710937 29.542969 47.359375 0 82.832032-4.3125 115.007813-13.984375 40.152343-12.074219 74.242187-32.664063 104.207031-62.945313 7.769531-7.851562 7.703125-20.515625-.148438-28.285156-7.855468-7.769531-20.515624-7.703125-28.285156.152344-53.433594 54-114.914062 65.066406-190.78125 65.066406-1.777344 0-3.554687-.023438-5.335937-.070312 21.164062-9.714844 39.3125-23.570313 53.804687-41.253907 4.832032-5.898437 5.894532-14.027343 2.730469-20.96875-3.160156-6.9375-9.992187-11.472656-17.613281-11.699219-20.882813-.613281-39.328125-4.613281-54.523438-9.578124 11.28125-5.730469 22.269532-13.871094 30.9375-25.429688 4.164063-5.550781 5.152344-12.863281 2.613282-19.320312-2.539063-6.457032-8.246094-11.136719-15.074219-12.363282-33.578125-6.035156-55.878907-19.550781-70.34375-32.855468 8.117187-.421876 17.035156-1.652344 26.65625-4.054688 7.054687-1.765625 12.597656-7.21875 14.472656-14.246094 1.875-7.023437-.207031-14.515625-5.445313-19.558594-18.128906-17.46875-31.304687-39.117187-40.730468-59.539062 3.289062 2.355469 6.71875 4.726562 10.28125 7.097656 39.703125 26.386719 104.992187 57.839844 190.570312 57.839844 6.222656 0 12.089844-2.910156 15.871094-7.851562 3.785156-4.9375 5.050781-11.375 3.433594-17.382813-.054688-.195313-5.304688-19.910156-5.304688-40.765625 0-17.222656 6.871094-33.488281 19.351563-45.796875 12.550781-12.382813 29.117187-19.203125 46.648437-19.203125 17.722656 0 33.144532 6.855469 45.835938 20.375 9.164062 8.625 19.164062 31.625 19.164062 45.507812v12.117188c0 .421875.042969.996094.144532 1.675781-.085938.765625-.144532 1.539063-.144532 2.324219 0 45.464844-8.414062 85.941406-25.011718 120.300781-4.804688 9.949219-.632813 21.90625 9.3125 26.710938 2.804687 1.351562 5.765624 1.992187 8.683593 1.992187 7.4375 0 14.574219-4.164062 18.023438-11.304687 19.238281-39.832031 28.992187-86.160157 28.992187-137.699219 0-.761719-.054687-1.511719-.136718-2.25.09375-.6875.136718-1.28125.136718-1.75v-14c20.546875-14.839844 37.945313-34.882812 52-56-.003906 0-36.871094 17.46875-60.75 18.984375zm0 0"
			/>
		</Svg>
	);
};

export const InstagramIcon = ({ size = 24, color = "#c13584" }) => {
	return (
		<Svg height={size} width={size} viewBox="0 0 512 512.00006" xmlns="http://www.w3.org/2000/svg">
			<Path
				fill={color}
				d="m261.039062 512c-1.695312 0-3.390624 0-5.097656-.007812-40.132812.097656-77.214844-.921876-113.277344-3.117188-33.0625-2.011719-63.242187-13.4375-87.28125-33.039062-23.195312-18.914063-39.035156-44.488282-47.078124-76.003907-7-27.4375-7.371094-54.371093-7.726563-80.421875-.257813-18.691406-.5234375-40.839844-.578125-63.363281.0546875-22.617187.320312-44.765625.578125-63.457031.355469-26.046875.726563-52.980469 7.726563-80.421875 8.042968-31.515625 23.882812-57.089844 47.078124-76.003907 24.039063-19.601562 54.21875-31.027343 87.285157-33.039062 36.0625-2.191406 73.152343-3.2148438 113.371093-3.1171875 40.144532-.0859375 77.214844.9257815 113.277344 3.1171875 33.0625 2.011719 63.242188 13.4375 87.28125 33.039062 23.199219 18.914063 39.035156 44.488282 47.078125 76.003907 7 27.4375 7.371094 54.375 7.726563 80.421875.257812 18.691406.527344 40.839844.578125 63.363281-.050781 22.617187-.320313 44.765625-.578125 63.457031-.148438 11.046875-9.273438 19.875-20.269532 19.726563-11.046874-.152344-19.875-9.230469-19.726562-20.273438.253906-18.582031.523438-40.585937.574219-62.910156-.050781-22.230469-.320313-44.234375-.574219-62.816406-.324219-23.714844-.660156-48.238281-6.488281-71.078125-5.878907-23.039063-17.183594-41.507813-33.597657-54.894532-17.753906-14.480468-39.433593-22.59375-64.433593-24.113281-35.214844-2.140625-71.464844-3.128906-110.847657-3.046875-39.476562-.09375-75.730468.90625-110.945312 3.046875-25 1.519531-46.675781 9.632813-64.433594 24.109375-16.414062 13.386719-27.71875 31.855469-33.597656 54.898438-5.828125 22.839844-6.164062 47.363281-6.488281 71.078125-.253907 18.582031-.519531 40.585937-.574219 62.910156.054688 22.230469.320312 44.234375.574219 62.816406.324219 23.714844.660156 48.238281 6.488281 71.078125 5.878906 23.039063 17.183594 41.507813 33.597656 54.894532 17.757813 14.480468 39.433594 22.59375 64.433594 24.113281 35.214844 2.140625 71.476562 3.140625 110.851562 3.042969 39.480469.09375 75.726563-.902344 110.941407-3.042969 25-1.519531 46.675781-9.632813 64.433593-24.113281 11.824219-9.644532 21.0625-22.019532 27.457032-36.785157 4.390625-10.132812 16.164062-14.792969 26.300781-10.402343 10.136719 4.390624 14.792969 16.164062 10.40625 26.300781-8.964844 20.699219-22.046875 38.15625-38.886719 51.886719-24.039062 19.605468-54.21875 31.027343-87.28125 33.039062-34.535156 2.101562-70.011718 3.125-108.277344 3.125zm118.949219-256c0-68.925781-56.074219-125-125-125-68.921875 0-125 56.074219-125 125s56.078125 125 125 125c68.925781 0 125-56.074219 125-125zm-40 0c0 46.867188-38.128906 85-85 85-46.867187 0-85-38.132812-85-85s38.132813-85 85-85c46.871094 0 85 38.132812 85 85zm54-165c-16.566406 0-30 13.429688-30 30s13.433594 30 30 30c16.570313 0 30-13.429688 30-30s-13.429687-30-30-30zm0 0"
			/>
		</Svg>
	);
};

export const TiktokIcon = ({ size = 24, color = "#25f4ee" }) => {
	return (
		<Svg
			id="Capa_1"
			enable-background="new 0 0 512 512"
			height={size}
			width={size}
			viewBox="0 0 512 512"
			xmlns="http://www.w3.org/2000/svg"
		>
			<Path
				fill={color}
				d="m461.2 118.7c-54.4 0-98.7-44.2-98.7-98.6 0-11-9-20-20-20h-76.2c-2.8 0-5.4.6-7.8 1.6-7.2 3-12.2 10.1-12.2 18.4v326.2c-.1 21.4-13.8 40.3-34.1 47-5.1 1.7-10.3 2.5-15.7 2.5-27.4 0-49.7-22.3-49.7-49.7s22.3-49.7 49.7-49.7c11 0 20-9 20-20v-76.2c0-11-9-20-20-20-44.3 0-86 17.2-117.3 48.6-31.2 31.3-48.4 72.9-48.4 117.2s17.2 86 48.5 117.3 73 48.6 117.3 48.6c8.3 0 16.7-.6 24.9-1.8 35.1-5.3 67.1-21.4 92.4-46.7 7.8-7.8 7.8-20.5 0-28.3s-20.5-7.8-28.3 0c-19.2 19.2-43.4 31.5-70 35.5-6.2.9-12.6 1.4-19 1.4-33.6 0-65.2-13.1-89-36.9s-36.9-55.4-36.9-89 13.1-65.2 36.9-89c19-19 43-31.2 69-35.3v36.8c-39.9 9.1-69.7 44.9-69.7 87.5 0 49.5 40.3 89.7 89.7 89.7 9.6 0 19.1-1.5 28.2-4.6 36.6-12.1 61.4-46.2 61.5-84.9v-306.2h37.7c8.8 60.4 56.8 108.4 117.3 117.1v36.5c-16.6-1.9-32.7-6.1-48.1-12.6-13.7-5.8-26.7-13.3-38.4-22.4-6-4.7-14.2-5.5-21-2.1s-11.2 10.3-11.2 17.9v172.2c0 11 9 20 20 20s20-9 20-20v-135.9c4.9 2.5 10 4.9 15.1 7.1 26.5 11.2 54.7 16.9 83.7 16.9 11 0 20-9 20-20v-76.2c-.2-11-9.1-19.9-20.2-19.9z"
			/>
		</Svg>
	);
};

export const YoutubeIcon = ({ size = 24, color = "#ff0000" }) => {
	return (
		<Svg
			id="Layer_1"
			enable-background="new 0 0 511.991 511.991"
			height={size}
			width={size}
			viewBox="0 0 511.991 511.991"
			xmlns="http://www.w3.org/2000/svg"
		>
			<Path
				fill={color}
				d="m410.9 103.636c-35.604-3.486-91.379-7.641-154.909-7.641s-119.306 4.154-154.909 7.641c-27.766 2.718-49.885 23.881-53.791 51.465-4.844 34.204-7.3 68.149-7.3 100.895s2.456 66.69 7.3 100.894c3.906 27.585 26.025 48.748 53.791 51.466 35.604 3.486 91.379 7.641 154.909 7.641s119.306-4.154 154.909-7.641c27.766-2.718 49.885-23.881 53.791-51.465 1.549-10.937 11.671-18.549 22.606-16.999 10.938 1.549 18.547 11.67 16.999 22.606-6.503 45.918-43.306 81.146-89.5 85.668-36.489 3.572-93.661 7.83-158.806 7.83s-122.316-4.258-158.806-7.83c-46.194-4.521-82.997-39.75-89.5-85.668-10.247-72.729-10.247-140.275 0-213.005 6.503-45.917 43.306-81.146 89.5-85.667 36.489-3.572 93.661-7.83 158.806-7.83s122.316 4.258 158.806 7.83c46.194 4.521 82.997 39.75 89.5 85.668 5.105 36.055 7.694 71.887 7.694 106.502-1.045 26.51-38.942 26.541-40 0 0-32.745-2.456-66.69-7.3-100.893-3.905-27.586-26.024-48.749-53.79-51.467zm-77.401 120.228c25.852 14.436 25.846 53.332 0 67.763l-85.854 49.819c-12.215 7.087-26.814 7.113-39.05.064-12.275-7.069-19.604-19.759-19.604-33.945v-99.639c0-14.187 7.329-26.876 19.604-33.945 12.236-7.048 26.835-7.022 39.05.064zm-21.31 33.882-83.198-48.277v96.556z"
			/>
		</Svg>
	);
};

export const NoNetworkIcon = ({ size = 24 }) => {
	return (
		<Svg width={size} height={size} viewBox="0 0 120 120" fill="none" xmlns="http://www.w3.org/2000/svg">
			<Path
				d="M97.4569 27.1157C100.896 31.655 102.576 37.2858 102.186 42.9674C101.796 48.649 99.3626 53.9975 95.3355 58.0243L87.004 66.3557C86.4013 66.9577 85.5844 67.2958 84.7326 67.2958C83.8808 67.2958 83.0638 66.9577 82.4612 66.3557L53.6697 37.5686C53.0678 36.9659 52.7297 36.1489 52.7297 35.2972C52.7297 34.4454 53.0678 33.6284 53.6697 33.0257L62.0012 24.69C66.028 20.6629 71.3764 18.2295 77.0581 17.8395C82.7397 17.4495 88.3705 19.1294 92.9097 22.5686L105.96 9.52287C106.569 8.95509 107.375 8.646 108.208 8.66069C109.04 8.67538 109.835 9.01272 110.424 9.60163C111.013 10.1905 111.35 10.9851 111.365 11.8178C111.379 12.6505 111.07 13.4564 110.503 14.0657L97.4569 27.1157ZM84.7283 59.5414L90.7926 53.4771C94.0076 50.2622 95.8138 45.9017 95.8138 41.355C95.8138 36.8083 94.0076 32.4479 90.7926 29.2329C89.2007 27.641 87.3108 26.3782 85.2309 25.5167C83.151 24.6551 80.9217 24.2117 78.6705 24.2117C74.1238 24.2117 69.7633 26.0179 66.5483 29.2329L60.484 35.2972L84.7283 59.5372V59.5414Z"
				fill="#737373"
			/>
			<Path
				d="M54.7626 48.0643C55.3646 48.667 55.7027 49.4839 55.7027 50.3357C55.7027 51.1875 55.3646 52.0045 54.7626 52.6072L45.6469 61.7229L58.2769 74.3529L67.3884 65.2414C67.685 64.9346 68.0398 64.6899 68.432 64.5216C68.8243 64.3533 69.2461 64.2649 69.6729 64.2614C70.0997 64.2579 70.5229 64.3394 70.9178 64.5012C71.3128 64.663 71.6715 64.9018 71.9732 65.2038C72.2749 65.5057 72.5134 65.8647 72.6748 66.2598C72.8362 66.6549 72.9173 67.0782 72.9134 67.505C72.9095 67.9318 72.8207 68.3535 72.652 68.7456C72.4834 69.1377 72.2384 69.4922 71.9312 69.7886L62.8284 78.9L66.3726 82.44C66.6713 82.7385 66.9083 83.0929 67.0699 83.483C67.2316 83.8732 67.3148 84.2913 67.3148 84.7136C67.3148 85.1359 67.2316 85.554 67.0699 85.9441C66.9083 86.3342 66.6713 86.6887 66.3726 86.9872L58.0369 95.3229C54.0096 99.3494 48.6608 101.782 42.9792 102.171C37.2976 102.56 31.6671 100.88 27.1284 97.44L14.0826 110.49C13.4767 111.076 12.6649 111.4 11.8221 111.393C10.9793 111.386 10.173 111.049 9.57676 110.453C8.98052 109.857 8.6421 109.051 8.63438 108.209C8.62666 107.366 8.95027 106.554 9.5355 105.947L22.5855 92.8929C19.1457 88.3541 17.4652 82.7236 17.8543 77.042C18.2435 71.3604 20.6761 66.0117 24.7026 61.9843L33.0384 53.6529C33.641 53.0509 34.458 52.7128 35.3098 52.7128C36.1616 52.7128 36.9785 53.0509 37.5812 53.6529L41.1084 57.1757L50.2198 48.0643C50.8225 47.4624 51.6394 47.1243 52.4912 47.1243C53.343 47.1243 54.16 47.4624 54.7626 48.0643V48.0643ZM29.2712 90.8057C32.4889 94.0077 36.8452 95.8027 41.3846 95.7971C45.9239 95.7915 50.2758 93.9856 53.4855 90.7757L59.5498 84.7157L35.3055 60.4714L29.2455 66.5314C26.0356 69.7412 24.2298 74.093 24.2241 78.6324C24.2185 83.1718 26.0135 87.528 29.2155 90.7457L29.2455 90.7757L29.2712 90.8014V90.8057Z"
				fill="#737373"
			/>
			<Path
				fill-rule="evenodd"
				clip-rule="evenodd"
				d="M31.3291 78.2915C31.3301 77.483 31.9864 76.7988 32.7941 76.7641L41.1559 76.4049C42.1851 76.3607 43.0176 77.1592 43.0163 78.1894L43.0056 86.5588C43.0046 87.3673 42.3483 88.0515 41.5406 88.0862C40.7346 88.1208 40.0827 87.4955 40.0837 86.6887L40.093 79.375L32.786 79.6889C31.98 79.7235 31.3281 79.0982 31.3291 78.2915Z"
				fill="#737373"
			/>
			<Path
				fill-rule="evenodd"
				clip-rule="evenodd"
				d="M89.5045 41.5876C89.4845 42.3958 88.8123 43.0643 88.004 43.08L79.6361 43.2423C78.6061 43.2622 77.7927 42.4444 77.8182 41.4145L78.0259 33.0476C78.0459 32.2394 78.7181 31.5708 79.5264 31.5552C80.333 31.5395 80.9701 32.18 80.95 32.9865L80.7686 40.298L88.0809 40.1562C88.8875 40.1406 89.5246 40.7811 89.5045 41.5876Z"
				fill="#737373"
			/>
		</Svg>
	);
};

export const LogoAlt = ({ size = 24 }) => {
	return (
		<Svg
			width={size}
			height={size * (60 / 103)}
			viewBox="0 0 103 60"
			fill="none"
			xmlns="http://www.w3.org/2000/svg"
		>
			<Path
				fill-rule="evenodd"
				clip-rule="evenodd"
				d="M2.88065 57.1361C-0.960215 53.3094 -0.960217 47.0989 2.88065 43.2722L42.6423 3.65708C47.5364 -1.21903 55.4636 -1.21902 60.3577 3.65708L100.119 43.2722C103.96 47.0989 103.96 53.3094 100.119 57.1361C96.2867 60.9546 90.0787 60.9546 86.246 57.1361L51.5 22.5181L16.754 57.1361C12.9213 60.9547 6.71335 60.9546 2.88065 57.1361Z"
				fill="#737373"
			/>
		</Svg>
	);
};

export const NoProductIcon = ({ size = 24 }) => {
	return (
		<Svg width={size} height={size} viewBox="0 0 120 120" fill="none" xmlns="http://www.w3.org/2000/svg">
			<Path
				d="M85 22.5L35 47.5M10 35L60 60L10 35ZM60 110V60V110ZM110 35L60 60L110 35Z"
				stroke="#737373"
				stroke-width="6"
				stroke-linecap="round"
				stroke-linejoin="round"
			/>
			<Path
				d="M110 35L60 10L10 35V85L60 110L110 85V35Z"
				stroke="#737373"
				stroke-width="6"
				stroke-linejoin="round"
			/>
			<Path
				fill-rule="evenodd"
				clip-rule="evenodd"
				d="M25.5589 72.2233C24.8253 71.4635 24.8022 69.8394 25.5589 69.4708L29.944 66.9178C31.3021 66.1271 32.6086 64.8053 34.1644 65.027V65.027C35.22 65.1774 35.869 66.1747 36.454 67.0662L39.7828 72.1386C40.8917 73.8284 42.8537 75.9775 41.4498 77.4314V77.4314V77.4314C40.0816 78.8483 38.2777 76.5863 37.2427 74.9105L33.8827 69.4708L30.8747 70.93C29.1113 71.7855 26.9204 73.6333 25.5589 72.2233V72.2233Z"
				fill="#737373"
			/>
		</Svg>
	);
};

export const NoOrderIcon = ({ size = 24 }) => {
	return (
		<Svg width={size} height={size} viewBox="0 0 120 120" fill="none" xmlns="http://www.w3.org/2000/svg">
			<Path
				d="M82.625 17.4864H95C96.3261 17.4864 97.5979 18.0122 98.5355 18.9482C99.4732 19.8841 100 21.1536 100 22.4773V104.827C100 106.151 99.4732 107.42 98.5355 108.356C97.5979 109.292 96.3261 109.818 95 109.818H25C23.6739 109.818 22.4021 109.292 21.4645 108.356C20.5268 107.42 20 106.151 20 104.827V22.4773C20 21.1536 20.5268 19.8841 21.4645 18.9482C22.4021 18.0122 23.6739 17.4864 25 17.4864H42.5V24.9727H77.5V17.4864H82.625Z"
				stroke="#737373"
				stroke-width="6"
				stroke-linejoin="round"
			/>
			<Path
				d="M42.5 10H77.5V24.9727H42.5V10Z"
				stroke="#737373"
				stroke-width="6"
				stroke-linecap="round"
				stroke-linejoin="round"
			/>
			<Path
				fill-rule="evenodd"
				clip-rule="evenodd"
				d="M33.5034 51.4749C32.8322 50.7734 32.8322 49.6348 33.5034 48.9332L40.452 41.6705C41.3073 40.7765 42.6927 40.7765 43.548 41.6705L50.4966 48.9332C51.1678 49.6348 51.1678 50.7734 50.4966 51.4749C49.8268 52.175 48.7419 52.175 48.0721 51.4749L42 45.1283L35.9279 51.4749C35.2581 52.175 34.1732 52.175 33.5034 51.4749Z"
				fill="#737373"
			/>
		</Svg>
	);
};
